/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Defines the various types of messages.
 * @export
 * @enum {string}
 */

export const MessageType = {
    Disturbance: 'Disturbance',
    PartialDisturbance: 'PartialDisturbance',
    Maintenance: 'Maintenance',
    PartialMaintenance: 'PartialMaintenance',
    LimitedOperation: 'LimitedOperation',
    Interruption: 'Interruption',
    Change: 'Change',
    Hint: 'Hint',
    Warning: 'Warning',
    Information: 'Information'
} as const;

export type MessageType = typeof MessageType[keyof typeof MessageType];



